Error suppression

## group of functions used for error suppression in correctness tools

enum | __itt_suppress_mode { __itt_unsuppress_range, __itt_suppress_range }
typedef enum __itt_suppress_mode | __itt_suppress_mode_t
void ITTAPI | __itt_suppress_push (unsigned int mask)
| Start suppressing errors identified in mask on this thread. More...
void ITTAPI | __itt_suppress_pop (void)
| Undo the effects of the matching call to __itt_suppress_push. More...
void ITTAPI | __itt_suppress_mark_range (__itt_suppress_mode_t mode, unsigned int mask, void *address, size_t size)
| Mark a range of memory for error suppression or unsuppression for error types included in mask. More...
void ITTAPI | __itt_suppress_clear_range (__itt_suppress_mode_t mode, unsigned int mask, void *address, size_t size)
| Undo the effect of a matching call to __itt_suppress_mark_range. If not matching call is found, nothing is changed. More...
#define | __itt_suppress_all_errors
| possible value for suppression mask More...
#define | __itt_suppress_threading_errors
| possible value for suppression mask (suppresses errors from threading analysis) More...
#define | __itt_suppress_memory_errors
| possible value for suppression mask (suppresses errors from memory analysis) More...

## Detailed Description

General behavior: application continues to run, but errors are suppressed

## Macro Definition Documentation

## __itt_suppress_all_errors

#define __itt_suppress_all_errors

possible value for suppression mask

Definition at line 530 of file ittnotify.h.

## __itt_suppress_memory_errors

#define __itt_suppress_memory_errors

possible value for suppression mask (suppresses errors from memory analysis)

Definition at line 542 of file ittnotify.h.

## __itt_suppress_threading_errors

#define __itt_suppress_threading_errors

possible value for suppression mask (suppresses errors from threading analysis)

Definition at line 536 of file ittnotify.h.

## Typedef Documentation

## __itt_suppress_mode_t

typedef enum __itt_suppress_mode __itt_suppress_mode_t

## Enumeration Type Documentation

## __itt_suppress_mode

enum __itt_suppress_mode

Enumerator
__itt_unsuppress_range |
__itt_suppress_range |

Definition at line 588 of file ittnotify.h.

{
__itt_unsuppress_range,
__itt_suppress_range
} __itt_suppress_mode_t;

## Function Documentation

## __itt_suppress_clear_range()

void ITTAPI __itt_suppress_clear_range | ( | __itt_suppress_mode_t | mode,
|  | unsigned int | mask,
|  | void * | address,
|  | size_t | size
| ) |  |

Undo the effect of a matching call to __itt_suppress_mark_range. If not matching call is found, nothing is changed.

## __itt_suppress_mark_range()

void ITTAPI __itt_suppress_mark_range | ( | __itt_suppress_mode_t | mode,
|  | unsigned int | mask,
|  | void * | address,
|  | size_t | size
| ) |  |

Mark a range of memory for error suppression or unsuppression for error types included in mask.

## __itt_suppress_pop()

void ITTAPI __itt_suppress_pop | ( | void |  | ) |

Undo the effects of the matching call to __itt_suppress_push.

## __itt_suppress_push()

void ITTAPI __itt_suppress_push | ( | unsigned int | mask | ) |

Start suppressing errors identified in mask on this thread.

__itt_unsuppress_range
Definition: ittnotify.h:589
__itt_suppress_range
Definition: ittnotify.h:590
__itt_suppress_mode_t
enum __itt_suppress_mode __itt_suppress_mode_t

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.